<!-- create_book.html -->

{% extends "_base.html" %} {% block content %}
<div class="create">
  <form method="POST" enctype="multipart/form-data">
    {{ form.hidden_tag() }}

    <label for="title">Title:</label>
    {{ form.title(id='title') }}

    <label for="author">Author:</label>
    {{ form.author(id='author') }}

    <label for="description">Description:</label>
    {{ form.description(id='description') }}

    <label for="published_date">Published Date:</label>
    {{ form.published_date(id='published_date', type='date') }}

    <label for="image">Image:</label>
    {{ form.image(id='image', onchange="loadFile(event)") }}

    <img
      id="output"
      src="data:image/jpeg;base64,{{ default_image|safe }}"
      style="max-width: 300px"
      class="create--image"
    />

    <input type="submit" value="Create Book" class="create--submit" />
  </form>
</div>
<script src="{{ url_for('static', filename='js/imagePreview.js') }}"></script>

{% endblock %}
